<script setup>
import { RouterLink, RouterView } from 'vue-router'
import HelloWorld from './components/HelloWorld.vue'
import CoinFolio from './components/CoinFolio.vue';
import { useLiveQuotesStore } from './stores/liveQuotes';
import { liveQuotesUrl } from './lib/CoinfolioAPI';

let liveQuotesStore = useLiveQuotesStore();

async function fetchLiveQuotes() {
  const res = await fetch(liveQuotesUrl);

  const data = await res.json();

  liveQuotesStore.$patch({
    loaded: 1,
    currencies: data
  });

  window.setTimeout(() => fetchLiveQuotes(), 60000);
}

fetchLiveQuotes();
</script>

<template>
  <header>
    <nav class="navbar navbar-expand-lg bg-dark" data-bs-theme="dark">
      <div class="container-fluid">
        <a class="navbar-brand" href="#">CoinFolio</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav me-auto mb-2 mb-lg-0">
            <li class="nav-item">
              <RouterLink
                to="/"
                custom
                v-slot="{ href, navigate }"
              >
                <a :href="href" @click="navigate" class="nav-link">Home</a>
              </RouterLink>
            </li>
            <li class="nav-item">
              <RouterLink
              to="/create-coinfolio"
                custom
                v-slot="{ href, navigate }"
              >
                <a :href="href" @click="navigate" class="nav-link">Create Coinfolio</a>
              </RouterLink>
            </li>
            <li class="nav-item">
              <RouterLink
              to="/add-coinfolio"
                custom
                v-slot="{ href, navigate }"
              >
                <a :href="href" @click="navigate" class="nav-link">Add CoinFolio</a>
              </RouterLink>
            </li>
          </ul>
        </div>
      </div>
    </nav>
  </header>

  <div class="container">
    <RouterView />
  </div>
</template>

<style scoped>

</style>
